summaryrefslogtreecommitdiff
path: root/pcr/python2-pkgtools
diff options
context:
space:
mode:
authoraurelien <tek@localhost.localdomain>2012-11-24 09:24:52 +0100
committeraurelien <tek@localhost.localdomain>2012-11-24 09:24:52 +0100
commit0a9a064dde6943f5ce78d9eb03f403326cd5b4ef (patch)
tree950bd3f3cc003ab3cb8384d1a60476035f307a29 /pcr/python2-pkgtools
parent13e7da299d6c1d313b32309f5737d887212b7d4c (diff)
glance nova python2-amqplib python2-carrot python2-daemon python2-eventlet python2-iso8601 python2-kombu python2-netaddr python2-passlib python2-pkgtools python2-sendfile python2-suds python2-webob pyt
hon-anyjson python-paste-deploy python-paste python-repoze.lru python-routes python-wsgiref python-xattr
Diffstat (limited to 'pcr/python2-pkgtools')
-rw-r--r--pcr/python2-pkgtools/PKGBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/pcr/python2-pkgtools/PKGBUILD b/pcr/python2-pkgtools/PKGBUILD
new file mode 100644
index 000000000..7060dc416
--- /dev/null
+++ b/pcr/python2-pkgtools/PKGBUILD
@@ -0,0 +1,20 @@
+# Contributor: Fabien Devaux <fdev31 at gmail dot com>
+# Maintainer : Parabola GNU / Linux-libre Aurelien Desbrieres <aurelien@cwb.IO>
+
+pkgname=python2-pkgtools
+pkgver=0.7.1
+pkgrel=1
+pkgdesc="Python packages tools"
+arch=('any')
+url="http://pkgtools.readthedocs.org/en/latest/"
+license=('MIT')
+depends=('python2')
+makedepends=('python2-distribute')
+source=(http://pypi.python.org/packages/source/p/pkgtools/pkgtools-${pkgver}.tar.gz)
+
+build() {
+ cd "${srcdir}/pkgtools-${pkgver}"
+ python2 setup.py build || exit 1
+ python2 setup.py install --root="${pkgdir}" --optimize=1 || exit 1
+}
+